Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QVGroupBox Class Reference

The QVGroupBox widget organizes a group of widgets in a vertical column. More...

`#include <qvgroupbox.h>`

Inherits QGroupBox.

List of all member functions.

## Public Members

- QVGroupBox ( QWidget * parent = 0, const char * name = 0 )
- QVGroupBox ( const QString & title, QWidget * parent = 0, const char * name = 0 )
- ~QVGroupBox ()

## Detailed Description

The QVGroupBox widget organizes a group of widgets in a vertical column.

QVGroupBox is a convenience class that offers a thin layer on top of QGroupBox. Think of it as a QVBox that offers a frame with a title.

See also QHGroupBox, Widget Appearance and Style, Layout Management and Organizers.

## Member Function Documentation

### QVGroupBox::QVGroupBox ( QWidget * parent = 0, const char * name = 0 )

Constructs a vertical group box with no title.

The parent and name arguments are passed to the QWidget constructor.

### QVGroupBox::QVGroupBox ( const QString & title, QWidget * parent = 0, const char * name = 0 )

Constructs a vertical group box with the title title.

The parent and name arguments are passed to the QWidget constructor.

### QVGroupBox::~QVGroupBox ()

Destroys the vertical group box, deleting its child widgets.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.